%define name pylint
%define version 0.12.2
%define release alt3

%setup_python_module pylint
%add_findreq_skiplist %python_sitelibdir/%name/test/*
%add_findprov_skiplist %python_sitelibdir/%name/test/*

# Automatically added by buildreq on Thu Dec 07 2006
BuildRequires: python-dev python-modules-encodings

Requires: python-module-logilab-astng
Requires: python-module-logilab-common

%add_python_req_skip logilab
%add_python_req_skip pylint

Summary: python code static checker
Name: %name
Version: %version
Release: %release.1
Source0: %name-%version.tar.gz
License: GPL
Group: Development/Python
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Sylvain Thenault <sylvain.thenault@logilab.fr>
Packager: Andrey Khavryuchenko <akhavr@altlinux.org>
Url: http://www.logilab.org/project/name/pylint

%description
Pylint is a Python source code analyzer which looks for programming
errors, helps enforcing a coding standard and sniffs for some code
smells (as defined in Martin Fowler's Refactoring book)

Pylint can be seen as another PyChecker since nearly all tests you
can do with PyChecker can also be done with Pylint. However, Pylint
offers some more features, like checking length of lines of code,
checking if variable names are well-formed according to your coding
standard, or checking if declared interfaces are truly implemented,
and much more.

Additionally, it is possible to write plugins to add your own checks.

This module is build for python %__python_version

%package -n %name-test
Summary: python code static checker
Group: Development/Python
Prefix: %{_prefix}
Requires: %name = %version

%description -n %name-test
Pylint is a Python source code analyzer which looks for programming
errors, helps enforcing a coding standard and sniffs for some code
smells (as defined in Martin Fowler's Refactoring book)

Pylint can be seen as another PyChecker since nearly all tests you
can do with PyChecker can also be done with Pylint. However, Pylint
offers some more features, like checking length of lines of code,
checking if variable names are well-formed according to your coding
standard, or checking if declared interfaces are truly implemented,
and much more.

Additionally, it is possible to write plugins to add your own checks.

This module is build for python %__python_version.

Install %name-test if you need unit tests for this module

%prep
%setup -q -n %name-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

grep 'test.*py$' INSTALLED_FILES > INSTALLED_TESTS
grep -v test INSTALLED_FILES > INSTALLED_FILES2

%files -f INSTALLED_FILES2
%doc ChangeLog README 

%files -n %name-test -f INSTALLED_TESTS

%changelog
* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.12.2-alt3.1
- Rebuilt with python-2.5.

* Sat Dec 9 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.12.2-alt3
- Fixed requires/provides calculation

* Fri Dec 8 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.12.2-alt2
- Fixed dependencies

* Wed Dec 6 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.12.2-alt1
- Initial build for ALT Linux
